Loading...
Searching...
No Matches
connectivityBase.h
Go to the documentation of this file.
// -*- Mode: C++; tab-width: 2: -*-
// vi: set ts=2:
//
//
#ifndef BALL_QSAR_CONNECTIVITYBASE_H
#define BALL_QSAR_CONNECTIVITYBASE_H
#ifndef BALL_COMMON_GLOBAL_H
#include <BALL/COMMON/global.h>
#endif
#ifndef BALL_QSAR_DESCRIPTOR_H
#include <BALL/QSAR/descriptor.h>
#endif
namespace BALL
{
// forward declarations
template <typename Key, typename Value> class HashMap;
class BALL_EXPORT ConnectivityBase
: public Descriptor
{
public:
ConnectivityBase();
ConnectivityBase(const ConnectivityBase& cb);
ConnectivityBase(const String& name);
ConnectivityBase(const String& name, const String& unit);
virtual ~ConnectivityBase();
virtual ConnectivityBase& operator = (const ConnectivityBase& cb);
void computeAllDescriptors(AtomContainer& ac);
protected:
bool isValid_(AtomContainer& ac);
void calculate_(AtomContainer& ac);
private:
/*_ @name Accessors
*/
/*_ Dijkstra recursion. Performs a single source shortest path approach
@param distances to the other nodes are stored in referenced vector<double>
@param Atom which acts as source atom
@param indices map, which maps for each atom a index for the dist vector
*/
void recursion_(std::vector<double>& dists, const Atom* source, HashMap<const Atom*, Size>& index_map);
};
} // namespace BALL
#endif
global.h
BALL_EXPORT
#define BALL_EXPORT
Definition COMMON/global.h:50
BALL::AtomContainer
Definition atomContainer.h:32
BALL::Atom
Definition atom.h:90
BALL::ConnectivityBase::ConnectivityBase
ConnectivityBase()
BALL::ConnectivityBase::~ConnectivityBase
virtual ~ConnectivityBase()
BALL::ConnectivityBase::isValid_
bool isValid_(AtomContainer &ac)
BALL::ConnectivityBase::calculate_
void calculate_(AtomContainer &ac)
BALL::ConnectivityBase::ConnectivityBase
ConnectivityBase(const String &name)
BALL::ConnectivityBase::ConnectivityBase
ConnectivityBase(const ConnectivityBase &cb)
BALL::ConnectivityBase::computeAllDescriptors
void computeAllDescriptors(AtomContainer &ac)
BALL::ConnectivityBase::ConnectivityBase
ConnectivityBase(const String &name, const String &unit)
BALL::Descriptor::Descriptor
Descriptor()
BALL::HashMap
HashMap class based on the STL map (containing serveral convenience functions).
Definition hashMap.h:74
BALL::String
Definition string.h:57
descriptor.h
BALL
Definition constants.h:13